PySNMP 2.0.1 is out

I've decided to release the 2.x branch even it has not yet been made backward compatible with the 1.x.

That is mostly because the 2.x version seems to have many useful things implemented (like SNMP v.2x and SNMP agents). Also, the API of 2.x stuff looks more logical and is easier to use. That's why I'd appreciate PySNMP users to try to use the
2.x version in their new projects.

I'm still looking forward developing a compatibility layer to keep 1.x API running over the 2.x code.

The support for 1.x branch will be continued but no development is expected there.

Thanks,
ilya

Posted by Ilya Etingof 2002-05-20